DynamicJava Javadoc: Class JavaCCParser

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.parser.wrapper
Class JavaCCParser

    java.lang.Object
      |
      +--koala.dynamicjava.parser.wrapper.JavaCCParser

All Implemented Interfaces:
  SourceCodeParser

public class JavaCCParser
extends java.lang.Object
implements SourceCodeParser

The instances of this class represents a parser generated with JavaCC.

Constructor Summary
`JavaCCParser(java.io.InputStream is, java.lang.String fname)` Creates a new JavaCCParser
`JavaCCParser(java.io.Reader r, java.lang.String fname)` Creates a new JavaCCParser

Method Summary
`SourceCodeParser` | `createParser(java.io.InputStream is, java.lang.String fname)` Creates a new parser and returns it
`SourceCodeParser` | `createParser(java.io.Reader r, java.lang.String fname)` Creates a new parser and returns it
`java.util.List` | `parseCompilationUnit()` Parses a library file
`java.util.List` | `parseStream()` Parses top level statements

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaCCParser

    public JavaCCParser(java.io.InputStream is,
                        java.lang.String fname)

  Creates a new JavaCCParser
  Parameters:
    `is` - the input stream
    `fname` - the file name

### JavaCCParser

    public JavaCCParser(java.io.Reader r,
                        java.lang.String fname)

  Creates a new JavaCCParser
  Parameters:
    `r` - the reader
    `fname` - the file name

Method Detail

### createParser

    public SourceCodeParser createParser(java.io.InputStream is,
                                         java.lang.String fname)

  Creates a new parser and returns it
  Specified by:
    `createParser` in interface `SourceCodeParser`
  Parameters:
    `is` - the input stream
    `fname` - the file name

### createParser

    public SourceCodeParser createParser(java.io.Reader r,
                                         java.lang.String fname)

  Creates a new parser and returns it
  Specified by:
    `createParser` in interface `SourceCodeParser`
  Parameters:
    `r` - the reader
    `fname` - the file name

### parseStream

    public java.util.List parseStream()

  Parses top level statements
  Specified by:
    `parseStream` in interface `SourceCodeParser`
  Returns:
    a list of nodes
  See Also:
    `Node`

### parseCompilationUnit

    public java.util.List parseCompilationUnit()

  Parses a library file
  Specified by:
    `parseCompilationUnit` in interface `SourceCodeParser`
  See Also:
    `Node`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.